{
    "scheduler": [
        "build_maxscale_all_triggerable",
        "Scheduler"
    ],
    "build_targets": [
        [
            {
                "target_name": "release",
                "cmake_flags": "-DBUILD_TESTS=N"
            },
            {
                "target_name": "debug",
                "cmake_flags": "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug"
            }
        ],
        "Trigger"
    ],
    "run_upgrade_test": [
        "yes",
        "Trigger"
    ],
    "do_not_destroy_vm": [
        "no",
        "Trigger"
    ],
    "additionalCmakeOptions": [
        "\"\"",
        "Trigger"
    ],
    "name": [
        null,
        "Trigger"
    ],
    "branch": [
        "maxscale-2.5.24-tt1",
        "Build"
    ],
    "maxscaleVersionNumber": [
        "2.5.24",
        "Trigger"
    ],
    "maxscaleOldTarget": [
        "2.5.23",
        "Trigger"
    ],
    "host": [
        "mariadbenterprise-buildbot",
        "Assign worker"
    ],
    "owners": [
        [
            "johan.wikman@mariadb.com"
        ],
        "Trigger"
    ],
    "signatureKey": [
        "MaxscaleProduction",
        "Trigger"
    ],
    "passphrase": [
        "--passphrase-file ~/.config/passphrase",
        "Trigger"
    ],
    "maxscaleDistros": [
        "ALL",
        "Trigger"
    ],
    "target_name": [
        "debug",
        "Trigger"
    ],
    "cmake_flags": [
        "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug \"\"",
        "Trigger"
    ],
    "virtual_builder_name": [
        "Build all for debug",
        "Trigger"
    ],
    "target": [
        "maxscale-2.5.24-debug",
        "Trigger"
    ],
    "buildername": [
        "build_maxscale_all",
        "Builder"
    ],
    "images": [
        [
            "sles_15_gcp",
            "aarch64_ubuntu_jammy_gcp",
            "aarch64_ubuntu_focal_gcp",
            "ubuntu_jammy_gcp",
            "aarch64_debian_bullseye_gcp",
            "debian_bullseye_gcp",
            "rhel_8_gcp",
            "ubuntu_focal_gcp",
            "aarch64_ubuntu_bionic_gcp",
            "debian_buster_gcp",
            "aarch64_debian_buster_aws",
            "rocky_linux_9_gcp",
            "rhel_7_gcp",
            "aarch64_sles_15_gcp",
            "aarch64_rhel_8_aws",
            "ubuntu_bionic_gcp",
            "aarch64_rocky_linux_9_gcp"
        ],
        "Exclude Maxscale Images"
    ],
    "product": [
        "Maxscale",
        "Builder"
    ],
    "workername": [
        "mariadbenterprise-buildbot-02",
        "Worker"
    ],
    "buildnumber": [
        116,
        "Build"
    ],
    "revision": [
        "",
        "Build"
    ],
    "repository": [
        "https://github.com/mariadb-corporation/MaxScale.git",
        "Build"
    ],
    "codebase": [
        "",
        "Build"
    ],
    "project": [
        "",
        "Build"
    ],
    "builddir": [
        "/home/timofey_turenko_mariadb_com/buildbot-workers/mariadbenterprise-buildbot-02/build_maxscale_all",
        "Worker"
    ],
    "got_revision": [
        "0364a1fbefeb04eca103183b0a7082ffa00af187",
        "Git"
    ],
    "sshKeyFile": [
        "/home/timofey_turenko_mariadb_com/reposerver_keys/maxscale_prod",
        "Determine repository signature key parameters"
    ],
    "sshUser": [
        "maxscale_prod",
        "Determine repository signature key parameters"
    ],
    "signServer": [
        "mdbe-ci-repo-us",
        "Determine repository signature key parameters"
    ],
    "singKeyName": [
        "MariaDB Enterprise Signing Key",
        "Determine repository signature key parameters"
    ],
    "targetVersion": [
        "2.5.24",
        "Get MaxScale version from source file"
    ],
    "additionalRepoArgs": [
        "--no-incomming",
        "Set 'product' to Maxscale'"
    ],
    "jenkinsBuild": [
        false,
        "Set 'product' to Maxscale'"
    ],
    "URL": "https://mdbe-buildbot.mariadb.net/#builders/159/builds/116"
}
